Contents

# Seek Statement

Vráti pozíciu pre budúci zápis alebo čítanie v súbore, ktorý bol otvorený príkazom Open.

U súborov s priamym prístupom vráti funkcia Seek číslo ďalšieho záznamu, ktorý sa má načítať.

U všetkých ostatných súborov táto funkcia vráti umiestnenie bajtu, v ktorom má dôjsť k ďalšej operácii.

### Syntax:

    Seek [#]filePos, {filePos|recordNum}

## Paremetre:

fileNum: The data channel number used in the Open statement.

filePos, recordNum: Position for the next writing or reading. Position can be a number between 1 and 2,147,483,647. According to the file type, the position indicates the number of the record (files in the Random mode) or the byte position (files in the Binary, Output, Append or Input mode). The first byte in a file is position 1, the second byte is position 2, and so on.

### Error codes:

5 Neplatné volanie procedúry

52 Nesprávny názov alebo číslo súboru

Related Topics

Open Statement

Seek function